org.apache.calcite.avatica.proto

## Interface Common.MetaDataOperationArgumentOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.MetaDataOperationArgument, Common.MetaDataOperationArgument.Builder

Enclosing class:
  Common

    public static interface Common.MetaDataOperationArgumentOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getBoolValue()` `optional bool bool_value = 2;`
`int` `getIntArrayValues(int index)` `repeated sint32 int_array_values = 5;`
`int` `getIntArrayValuesCount()` `repeated sint32 int_array_values = 5;`
`List<Integer>` `getIntArrayValuesList()` `repeated sint32 int_array_values = 5;`
`int` `getIntValue()` `optional sint32 int_value = 3;`
`String` `getStringArrayValues(int index)` `repeated string string_array_values = 4;`
`com.google.protobuf.ByteString` `getStringArrayValuesBytes(int index)` `repeated string string_array_values = 4;`
`int` `getStringArrayValuesCount()` `repeated string string_array_values = 4;`
`List<String>` `getStringArrayValuesList()` `repeated string string_array_values = 4;`
`String` `getStringValue()` `optional string string_value = 1;`
`com.google.protobuf.ByteString` `getStringValueBytes()` `optional string string_value = 1;`
`Common.MetaDataOperationArgument.ArgumentType` `getType()` `optional .MetaDataOperationArgument.ArgumentType type = 6;`
`int` `getTypeValue()` `optional .MetaDataOperationArgument.ArgumentType type = 6;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getStringValue

    String getStringValue()

`optional string string_value = 1;`

#### getStringValueBytes

    com.google.protobuf.ByteString getStringValueBytes()

`optional string string_value = 1;`

#### getBoolValue

    boolean getBoolValue()

`optional bool bool_value = 2;`

#### getIntValue

    int getIntValue()

`optional sint32 int_value = 3;`

#### getStringArrayValuesList

    List<String> getStringArrayValuesList()

`repeated string string_array_values = 4;`

#### getStringArrayValuesCount

    int getStringArrayValuesCount()

`repeated string string_array_values = 4;`

#### getStringArrayValues

    String getStringArrayValues(int index)

`repeated string string_array_values = 4;`

#### getStringArrayValuesBytes

    com.google.protobuf.ByteString getStringArrayValuesBytes(int index)

`repeated string string_array_values = 4;`

#### getIntArrayValuesList

    List<Integer> getIntArrayValuesList()

`repeated sint32 int_array_values = 5;`

#### getIntArrayValuesCount

    int getIntArrayValuesCount()

`repeated sint32 int_array_values = 5;`

#### getIntArrayValues

    int getIntArrayValues(int index)

`repeated sint32 int_array_values = 5;`

#### getTypeValue

    int getTypeValue()

`optional .MetaDataOperationArgument.ArgumentType type = 6;`

#### getType

    Common.MetaDataOperationArgument.ArgumentType getType()

`optional .MetaDataOperationArgument.ArgumentType type = 6;`